---
title: Document.lastStyleSheetSet
slug: Web/API/Document/lastStyleSheetSet
tags:
  - API
  - CSSOM
  - DOM
  - Document
  - Property
  - Reference
  - Stylesheets
  - lastStyleSheetSet
---
<div>{{APIRef("DOM")}}{{gecko_minversion_header("1.9")}}{{obsolete_header}}</div>

<p>The <strong><code>Document.lastStyleSheetSet</code></strong> property <span class="seosummary">returns the last enabled style sheet set.</span> This property's value changes whenever the {{domxref("document.selectedStyleSheetSet")}} property is changed.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <var>lastStyleSheetSet</var> = <var>document</var>.lastStyleSheetSet
</pre>

<p>On return, <var>lastStyleSheetSet</var> indicates the style sheet set that was most recently set. If the current style sheet set has not been changed by setting {{domxref("document.selectedStyleSheetSet")}}, the returned value is <code>null</code>.</p>

<div class="note"><strong>Note:</strong> This value doesn't change when {{domxref("document.enableStyleSheetsForSet()")}} is called.</div>

<h2 id="Example">Example</h2>

<pre class="brush: js">let lastSheetSet = document.lastStyleSheetSet;

if (!lastSheetSet) {
  lastSheetSet = 'Style sheet not yet changed';
}
else {
  console.log('The last style sheet set is: ' + lastSheetSet);
}
</pre>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Document.lastStyleSheetSet")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("document.preferredStyleSheetSet")}}</li>
 <li>{{domxref("document.selectedStyleSheetSet")}}</li>
 <li>{{domxref("document.styleSheetSets")}}</li>
 <li>{{domxref("document.enableStyleSheetsForSet()")}}</li>
</ul>
